## wavpackparse wavpackparse — Wavpack parser |

## Types and Values

struct | GstWavpackParse

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseParse
                        ╰── GstWavpackParse

## Description

This is an Wavpack parser.

### Example launch line

    1
    gst-launch-1.0 filesrc location=abc.wavpack ! wavpackparse ! wavpackdec ! audioresample ! audioconvert ! autoaudiosink

## Synopsis

### Element Information

plugin | audioparsers
author | Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>
class | Codec/Parser/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-wavpack
| audio/x-wavpack-correction

name | src
direction | source
presence | always
details | audio/x-wavpack, depth=(int)[ 1, 32 ], channels=(int)[ 1, 8 ], rate=(int)[ 6000, 192000 ], framed=(boolean)true
| audio/x-wavpack-correction, framed=(boolean)true

## Functions

## Types and Values

### struct GstWavpackParse

    struct GstWavpackParse;

The opaque GstWavpackParse object

## See Also

GstAmrParse, GstAACParse